از پایان سال 2018، نسخه های PHP پایین تر از 5.6 دیگر توسط جامعه کاربری پشتیبانی نمی شوند. در نتیجه، استفاده از یکی از این نسخه ها برای اجرای فروشگاه به شدت پیچیده و دارای ریسک خواهد بود. این به چه معناست و شما چه گزینه هایی را پیش رو خواهید داشت؟

------------------------------

قبل از ادامه این موضوع، بگذارید برخی موارد را تشریح کنیم.

PHP چیست؟

PHP (یا "PHP Hypertext Processor") یک زبان برنامه نویسی رایگان طراحی شده برای توسعه برنامه های وب است. زبان پی اچ پی در صفحات HTML جایگیری شده است و برای انجام فعالیت های قابل تکرار خودکار و بنابراین ایجاد وبسایت های پویا و تعامل پذیر* استفاده می شود (منبع: php.net).

* یک وبسایت پویا/تعامل پذیر نیازی به مداخله توسعه دهنده برای به روز رسانی محتوای آن ندارد. زبان PHP پشت سایت های بسیار شناخته شده ای همچون فیسبوک و ویکیپدیا هستند (مشاهده کنید: supinfo.com).

چرا به روز رسانی نسخه PHP فروشگاه من حیاتی است؟

زبان PHP، همچون هر نوع نرم افزار دیگر، به مرور زمان، در نتیجه انتشار نسخه های جدید تکامل میابد. هر نسخه ماژور PHP برای بیشتر از 3 سال پشتیبانی نمی شود.

معمولا این هاست شماست که نسخه PHP اجرا شده فروشگاه شما را کنترل می کند. از آن جایی که نسخه های قبلی PHP دیگر پشتیبانی نمی شوند، هاست شما نمی توانید امنیت 100% سیستم شما را تضمین کند.این دلیل آن است که هاست ها به صورت دوره ای تغییر نسخه PHP را اجباری می کنند.به روز رسانی منظم نسخه PHP همچنین به شما اجازه می دهد تا از بهبود پایداری بهره ببرید و کارایی سایت خود را افزایش دهید.

بر اساس سایت اینفومانیاک، با توجه به شرایط، سایتی که با PHP نسخه 7 اجرا می شود بیش از 2 بار سریع تر از سایتی با PHP نسخه 5.6 و 14 باز سریع تر از سایتی با PHP نسخه 5 است.

بر اساس سایت زد دی نت، 62% از وب سایت ها از پی اچ پی نسخه 5 استفاده می کنند که منقضی شده است و دیگر امن نیست. به این دلیل اگر فروشگاه شما از یک نسخه از رده خارج شده استفاده می کند باید آن را به روز کنید.

تاریخ پشتیبانی نسخه های PHP (منبع: php.net).

پشتیبانی نسخه های PHP بر اساس تاریخ

من چطور می توانم نسخه PHP فروشگاه پرستاشاپی خود را بررسی و به روز رسانی کنم؟

این وظیفه بر عهده توسعه دهنده شماست، چه فریلنسر چه آژانس ها، که به شما توصیه کنند نسخه PHP فروشگاه پرستاشاپی خود را ارتقا دهید. به هیچ عنوان، پرسش از فراهم کننده هاست خود را، اگر می خواهید بدانید چه نسخه ای از PHP روی فروشگاه شما در حال اجراست دریغ نکنید.

چه نسخه ای از PHP با فروشگاه پرستاشاپی شما سازگار است؟

قبل از هرچیز، ضرورت دارد که اطمینان یابید نسخه پرستاشاپ شما با آخرین نسخه PHP سازگار است یا خیر. این باعث خواهد شد از بروز خطاها و اتفاقات عجیب (مانند مشکل در به روز رسانی ماژول ها، اطلاعات محصول و ...)  جلوگیری کنید. ما توصیه می کنم نسخه جدید را ابتدا در یک محیط تست آزمایش کنید و بعد آن را عملیاتی کنید.

پرستاشاپ x سازگاری PHP
نسخه های پرستاشاپسازگاری با نسخه های PHP
1.5.x ~ 1.6.05.2 - 5.5
1.6.1.x5.2 - 7.1
1.7.0 ~ 1.7.35.4 - 7.1
1.7.45.6 - 7.1
1.7.55.6 - 7.2

لطفا توجه کنید: یک فروشگاه پرستاشاپی همیشه شامل یک نسخه از برنامه نرم افزار پرستاشاپ و تعدادی از ماژول هایی است که به فروشگاه شما اضافه شده اند. ماژول ها نیز باید با نسخه PHP که قصد استفاده دارید سازگار باشند.

اهمیت مهاجرت فروشگاه شما به پرستاشاپ 1.7

پرستاشاپ نسخه 1.6 که در سال 2013 طراحی شده، از آن زمان به روز شده تا از سازگاری با PHP 7.1 اطمینان داشته باشیم. نگه داری پرستاشاپ 1.6 در ژانویه 2019 پایان خواهد یافت و PHP 7.1 پس از دسامبر 2019 پشتیبانی نخواهد شد: این بدین معناست که هیچ نسخه جدیدی از پرستاشاپ 1.6 با نسخه های PHP 7.1 سازگار نخواهد بود.

به طور مشابه، پرستاشاپ 1.7، که در سال 2016 طراحی شده، به روز شده تا PHP نسخه 7 سازگار باشد، نسخه ای که کارایی آن بهبود یافته. پرستاشاپ 1.7 نسخه ای است که هم اکنون توسط PrestaShop پشتیبانی می شود و در آینده به روز خواهد شد تا اطمینان داشته باشیم با آخرین نسخه PHP سازگار باشد.

همچنین پرستاشاپ 1.7 شامل فریم ورک سیمفونی است که تاثیر گذارتر، پایدارتر و قدرتمندتر باشد. این نسخه شامل امکانات جدیدی در تمامی سطوح است: بخش مدیریت، بخش کاربری، ناوبری موبایل، تجربه کاربری و ... تا مرور هر دو بخش مدیریت و کاربری فروشگاه شما ساده تر شود.

یک دقیقه دیگر نیز منتظر نمانید! مستندات به روز رسانی پرستاشاپ را مشاهده کنید یا از یک متخصص حرفه ای برای مهاجرت فروشگاه خود به نسخه 1.7 کمک بگیرید.

منبع: End of life for PHP 5.6: make sure your PrestaShop store is secure!

(4 رای)
4.25 5 1 4
  • مصطفی احمدی
    1398-03-25

    سلام، پس کی بروزرسانی نهایی از 1.6 به 1.7 در انجمن میذارید؟

    پاسخ مدیر:

    سلام

    مشکلی برای به روز رسانی وجود نداره

    ولی ما هنوز هم نسخه 1.7 رو برای ارتقا توصیه نمیکنیم و مشکلات زیادی داره

    چنانچه تازه قصد راه اندازی فروشگاه دارید، نسخه 1.7 میتونه نسخه مناسبی باشه

دیدگاه خود را بنویسید
*
*